﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace F120240SamleApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraGrid1.DataSource = GetData();
        }

        private DataTable GetData()
        {
            DataTable dt = new DataTable();

            // Columns
            dt.Columns.Add("ID", typeof(int));
            dt.Columns.Add("Col1", typeof(String));
            dt.Columns.Add("Col2", typeof(String));

            // Rows
            for(int i = 0; i < 6; i++)
            {
                if(i < 3)
                {
                    dt.Rows.Add(new object[] { i, "aaaaaaaaaaaaaaaaaaaaaaa", "bbb" });
                }
                else
                {
                    dt.Rows.Add(new object[] { i, "aaaaaaaaaaaaaaaaaaaaaaa", "ccc" });
                }
            }

            dt.PrimaryKey = new DataColumn[] { dt.Columns["ID"] };

            return dt;
        }

        private void UltraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["Col1"].MergedCellStyle = Infragistics.Win.UltraWinGrid.MergedCellStyle.Always;
            e.Layout.Bands[0].Columns["Col2"].MergedCellStyle = Infragistics.Win.UltraWinGrid.MergedCellStyle.Always;

            e.Layout.Bands[0].Columns["Col1"].MergedCellAppearance.TextVAlign = Infragistics.Win.VAlign.Middle;
            e.Layout.Bands[0].Columns["Col2"].MergedCellAppearance.TextVAlign = Infragistics.Win.VAlign.Middle;
        }

        private void RadioButton_CheckedChanged(object sender, EventArgs e)
        {
            RadioButton radioButton = sender as RadioButton;
            if (radioButton.Checked)
            {
                switch (radioButton.Text)
                {
                    case "True":
                        ultraGrid1.DisplayLayout.Bands[0].Columns["Col1"].CellMultiLine = Infragistics.Win.DefaultableBoolean.True;
                        break;
                    case "False":
                        ultraGrid1.DisplayLayout.Bands[0].Columns["Col1"].CellMultiLine = Infragistics.Win.DefaultableBoolean.False;
                        break;
                }
            }
        }
    }
}
